Subject: Re: bug#30674: 27.0.50; flymake-mode should set next-error-function and (probably) next-error-last-buffer

From: Juri Linkov <[email-masked]>
Date: Wed, 14 Mar 2018 00:23:45 +0200

>> I guess to cancel such navigation is possible in at least three ways:
>> doing window-quit on the *Occur* buffer,
>
> For this, next-error-find-buffer-function should be set to
> #'next-error-buffer-on-selected-frame.

Yes, and in this case you can see the clarity and predictability of
this option: when the *Occur* buffer is visible on the selected frame,
next-error will navigate the occur results as the user will expect.
Hiding the window with the *Occur* buffer will switch navigation
to Flymake warnings in the current buffer.  This is what can be called
WYSIWYG.